package io.accumulatenetwork.sdk.generated.core;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.generated.protocol.AcmeOracle;
import io.accumulatenetwork.sdk.generated.protocol.NetworkDefinition;
import io.accumulatenetwork.sdk.generated.protocol.NetworkGlobals;
import io.accumulatenetwork.sdk.generated.protocol.RoutingTable;
import io.accumulatenetwork.sdk.protocol.RPCBody;
import io.accumulatenetwork.sdk.protocol.globalValueMemos;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("GlobalValues")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class GlobalValues implements RPCBody {
	@JsonIgnore
	private globalValueMemos memoize;
	private AcmeOracle oracle;
	private NetworkGlobals globals;
	private NetworkDefinition network;
	private RoutingTable routing;

    //
	@JsonIgnore
	public globalValueMemos getmemoize() {
	    return memoize;
	}
	public void setmemoize(final globalValueMemos value) {
	    this.memoize = value;
	}

	public GlobalValues memoize(final globalValueMemos value) {
	    setmemoize(value);
	    return this;
	}
	public AcmeOracle getOracle() {
	    return oracle;
	}
	public void setOracle(final AcmeOracle value) {
	    this.oracle = value;
	}

	public GlobalValues oracle(final AcmeOracle value) {
	    setOracle(value);
	    return this;
	}
	public NetworkGlobals getGlobals() {
	    return globals;
	}
	public void setGlobals(final NetworkGlobals value) {
	    this.globals = value;
	}

	public GlobalValues globals(final NetworkGlobals value) {
	    setGlobals(value);
	    return this;
	}
	public NetworkDefinition getNetwork() {
	    return network;
	}
	public void setNetwork(final NetworkDefinition value) {
	    this.network = value;
	}

	public GlobalValues network(final NetworkDefinition value) {
	    setNetwork(value);
	    return this;
	}
	public RoutingTable getRouting() {
	    return routing;
	}
	public void setRouting(final RoutingTable value) {
	    this.routing = value;
	}

	public GlobalValues routing(final RoutingTable value) {
	    setRouting(value);
	    return this;
	}
}
